## groovy.lang
Class TracingInterceptor

Field Summary
`int` | `indent`
`Writer` | `writer`

Constructor Summary
`TracingInterceptor()`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, def arguments, Object result)`
`Object` | `beforeInvoke(Object object, String methodName, def arguments)`
`boolean` | `doInvoke()`
`Writer` | `getWriter()`
`String` | `indent()`
`void` | `setWriter(Writer writer)`
`void` | `write(Object object, String methodName, def arguments, String origin)`
`void` | `writeInfo(Class aClass, String methodName, def arguments)`

Constructor Detail

### TracingInterceptor

    TracingInterceptor()

Method Detail

### afterInvoke

    public Object afterInvoke(Object object, String methodName, def arguments, Object result)

### beforeInvoke

    public Object beforeInvoke(Object object, String methodName, def arguments)

### doInvoke

    public boolean doInvoke()

### getWriter

    public Writer getWriter()

### indent

    String indent()

### setWriter

    public void setWriter(Writer writer)

### write

    void write(Object object, String methodName, def arguments, String origin)

### writeInfo

    void writeInfo(Class aClass, String methodName, def arguments)